## org.codehaus.groovy.grails.test.report.junit
Class JUnitReportsFactory

    java.lang.Object
      org.codehaus.groovy.grails.test.report.junit.JUnitReportsFactory

    public class JUnitReportsFactory

extends Object

Field Summary
`protected List<String>` `formats`
`protected String` `phaseName`
`static String` `PLAIN`
`protected File` `reportsDir`
`protected String` `typeName`
`static String` `XML`

Constructor Summary
`JUnitReportsFactory(String phaseName, String typeName, File reportsDir, List<String> formats)`

Method Summary
`static JUnitReportsFactory` `createFromBuildBinding(groovy.lang.Binding buildBinding)`
`protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter` `createReport(String format, String name)`
`JUnitReports` `createReports(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML

    public static final String XML

See Also:
  Constant Field Values

### PLAIN

    public static final String PLAIN

See Also:
  Constant Field Values

### phaseName

    protected final String phaseName

### typeName

    protected final String typeName

### reportsDir

    protected final File reportsDir

### formats

    protected final List<String> formats

Constructor Detail

### JUnitReportsFactory

    public JUnitReportsFactory(String phaseName,
                               String typeName,
                               File reportsDir,
                               List<String> formats)

Method Detail

### createFromBuildBinding

    public static JUnitReportsFactory createFromBuildBinding(groovy.lang.Binding buildBinding)

### createReports

    public JUnitReports createReports(String name)

### createReport

    protected org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter createReport(String format,
                                                                                             String name)

Copyright (c) 2005-2009 The Grails project